@use "sass:math";

.layout-col-editable {
  .layout-col-editable-content {
    border: 1px dashed $gray-600;
    background-color: rgba($gray-200, 0.7);

    min-height: 150px;
    height: 100%;
    position: relative;
  }

  .manage-col-section {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    pointer-events: none;
  }

  .manage-col-widths {
    text-align: center;
    color: $blue-800;
  }

  .manage-col-container {
    text-align: right;
    font-size: 0;
  }

  .btn, .btn-layout-col {
    pointer-events: all;
  }

  &.col-selected {
    .layout-col-editable-content {
      background-color: rgba($blue-300, 0.8);
    }

    background-image: linear-gradient(-45deg,rgba($blue-300,.55) 25%,transparent 25%,transparent 50%,rgba($blue-300,.55) 50%,rgba($blue-300,.55) 75%,transparent 75%,transparent);
    background-size: 0.2rem 0.2rem;
  }
}